Get an Avatar job
curl --request GET \
--url https://console.spatius.ai/v1/open/avatar-jobs/{jobId} \
--header 'X-API-Key: <api-key>' \
--header 'X-App-ID: <api-key>'import requests
url = "https://console.spatius.ai/v1/open/avatar-jobs/{jobId}"
headers = {
"X-App-ID": "<api-key>",
"X-API-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-App-ID': '<api-key>', 'X-API-Key': '<api-key>'}};
fetch('https://console.spatius.ai/v1/open/avatar-jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job": {
"id": "6f1e2b3c-9a1d-4e5f-8b0a-2c4d6e8f0a1b",
"status": "succeeded",
"name": "Support Agent",
"avatarId": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"createdAt": "2026-07-25T09:30:00Z",
"updatedAt": "2026-07-25T09:47:12Z",
"completedAt": "2026-07-25T09:47:12Z"
}
}Avatar Jobs
Get an Avatar job
Returns a single Avatar creation job. Poll this endpoint after POST /avatars until status is succeeded (use avatarId) or failed (inspect error). A polling interval of 5-10 seconds is recommended.
GET
/
avatar-jobs
/
{jobId}
Get an Avatar job
⌘I

